package com.buy507.mall.portal.domain;

import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;

public class OfflinePaymentRecordResult {
	
	@ApiModelProperty(value = "账户名")
	private String accountName;
	
	@ApiModelProperty(value = "银行名称")
	private String bankName;
	
	@ApiModelProperty(value = "银行卡号")
	private String bankCardNum;
	
	@ApiModelProperty(value = "开户行地址")
	private String openBankAddress;

	@ApiModelProperty(value = "支付金额")
	private BigDecimal payAmount;

	@ApiModelProperty(value = "支付账户名")
	private String paymentAccountName;

	@ApiModelProperty(value = "支付银行名称")
	private String paymentBankName;

	@ApiModelProperty(value = "支付银行卡号")
	private String paymentBankCardNum;

	@ApiModelProperty(value = "审核状态：0->未审核；1->已审核")
	private Integer confirmStatus;
	
	@ApiModelProperty(value = "审核状态：0->未审核；1->已审核")
	private String confirmStatusName;

	@ApiModelProperty(value = "审核时间")
	private Date confirmTime;

	@ApiModelProperty(value = "提交时间")
	private Date createTime;

	public String getAccountName() {
		return accountName;
	}

	public void setAccountName(String accountName) {
		this.accountName = accountName;
	}

	public String getBankName() {
		return bankName;
	}

	public void setBankName(String bankName) {
		this.bankName = bankName;
	}

	public String getBankCardNum() {
		return bankCardNum;
	}

	public void setBankCardNum(String bankCardNum) {
		this.bankCardNum = bankCardNum;
	}

	public String getOpenBankAddress() {
		return openBankAddress;
	}

	public void setOpenBankAddress(String openBankAddress) {
		this.openBankAddress = openBankAddress;
	}

	public BigDecimal getPayAmount() {
		return payAmount;
	}

	public void setPayAmount(BigDecimal payAmount) {
		this.payAmount = payAmount;
	}

	public String getPaymentAccountName() {
		return paymentAccountName;
	}

	public void setPaymentAccountName(String paymentAccountName) {
		this.paymentAccountName = paymentAccountName;
	}

	public String getPaymentBankName() {
		return paymentBankName;
	}

	public void setPaymentBankName(String paymentBankName) {
		this.paymentBankName = paymentBankName;
	}

	public String getPaymentBankCardNum() {
		return paymentBankCardNum;
	}

	public void setPaymentBankCardNum(String paymentBankCardNum) {
		this.paymentBankCardNum = paymentBankCardNum;
	}

	public Integer getConfirmStatus() {
		return confirmStatus;
	}

	public void setConfirmStatus(Integer confirmStatus) {
		this.confirmStatus = confirmStatus;
	}

	public String getConfirmStatusName() {
		return confirmStatusName;
	}

	public void setConfirmStatusName(String confirmStatusName) {
		this.confirmStatusName = confirmStatusName;
	}

	public Date getConfirmTime() {
		return confirmTime;
	}

	public void setConfirmTime(Date confirmTime) {
		this.confirmTime = confirmTime;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

}
